View Issue Details

IDProjectCategoryView StatusLast Update
0010784ScribusTablespublic2018-05-15 17:01
ReporterJLuc Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status newResolutionopen 
PlatformOSUbuntu PreciseOS Version
Product Version1.5.0svn 
Target VersionFixed in Version 
Summary0010784: State of the Art of Tables in 1.5SVN
DescriptionFollowing previous year GSOC, tables have been refactored into 1.5svn.


See also the forecasted table devs : http://wiki.scribus.net/canvas/GSoC_2011_Tables_Post_GSoC_Tasks


==============================
2015 REPORTs
==============================

Action on a set of selected cells

Once a set of cells is selected it is possible through the PP to change the width and color of the borders of the cell, change the fill color, change the paragraph's property or change the text style of the selection's text, or change the cell style to some of the cell defined styles.

BUT
- only the first (top left) cell is affected (the other selected cells dont change at all)

==============================
2012 REPORTS, TO BE CHECKED
==============================

- when selecting another cell, it seems the PP doesnt allways update its display as for the cell style

- it seems that : when the shape of the frame has been changed into something not rectangle, the lines that are totally outside the shape of the frame are displayed when coloured (but not the parts outside frame of lines that are only partly inside frame).

- i understood that each cell can define its borders. since an inside line has 2 bording cells, it can be defined in 2 different ways. When conflicting, it is the widest border definition that wins and totally overwrite the other.

- the cursor keeps being an insert carret when moved to the PP. that is troubling.

===============================================

Cell selection

Change size of column or arrow :
- insert carret inside one of the cells in edit mode (double click)
- bring mouse over one of the lines inside or border outside (except left or top borders) of the table: it changes into a double arrow. Then : click and drag enables to move that border or line and change width or height of that cell / column


Cell selection :
is uncommon and takes some time to understand.
- insert carret into one of the cell in edit mode (double click)
- bring mouse over external LEFT border or TOP border of the table : it changes into an single arrow
- click and gently drag : all cells betwen insert carret and the line where you have clicked get selected.
- go on moving the mouse : the selection changes according to mouse position. It is thus possible to select any rectangular group of cells, including single cells.
However this behaviour is uncommon. Expected = usual behaviour would have been to select the whole arrow / column when singleclicking.

Another way to select a set of cells is :
- go out of edit mode and select the table frame, or place the edit carret in one of the cells you dont want to select
- double-click-and-drag until you select the desired set of cells

==============================

Table & frame adjust

- adjusting the table is possible without changing the frame. It is thus possible to make the table smaller or wider than the frame (if wider it is partly hiden). So the User Experience is that both frame and table size are independant.
- BUT changing the frame automatically resizes the table to fit the new frame size, even if the table previous size was very different to the frame's size.
This contradicts the user's previous experience of having tables and frames independant sizes.

I suggest that this 2nd behavious should be changed to either :
- frame size changes do not change table size
or :
- frame size changes do change table size ONLY IF table size is full frame size.
or :
- This behavious could maybe be altered using a new option in the style of a table (and thus in the edit style window AND in the PP or context menu), with a checkbox for : "allways adjust frame to table and table to frame"


==============================

Table split :

i could merge 2 cells but could never have the "split cells" option active in the context menu (its allways greyed).
(even on a previously merged cell).

TagsNo tags attached.
PatchNo

Relationships

related to 0011750 confirmed Clicking inside currently edited table's cell should move editing place where the click has occured 
related to 0011548 confirmed Changing the settings for table borders in the PP doesn't affect the table or cells 
related to 0011549 new Table/cell styles are lacking border settings 
related to 0011749 new "Select All" command during table edition should select whole cell text 
related to 0011748 new Keyboard use to navigate inside a table 
related to 0011757 new cell / table styles priorities 
related to 0011941 new Context menu unavailable in selected table cells 
related to 0013142 new background color % in tables 
related to 0013143 new Vertical centering should be default in table cells 
parent of 0010829 new Selecting rows and columns in tables 
parent of 0010828 closedfschmid Automatically resize the frame when the table size changes 
parent of 0010830 new Can't split cells in a table 
parent of 0010831 new Setting table border and background colors only work on single cells 
has duplicate 0014101 closed Function: Tabelle 
related to 0008090 new Impossible to create a line colour for a table 
Not all the children of this issue are yet resolved or closed.

Activities

JLuc

2012-12-29 23:39

developer   ~0029522

Today test : Cell selection is now fine and "Table & frame adjust" is now much simplified and better.
Other bugs have not changed.

New related 0011302 : Undo is very limited on tables.

a_winkler

2013-12-20 08:49

reporter   ~0030934

Last edited: 2013-12-20 08:50

View 2 revisions

I've just tried the new table fetaure in 1.5.0svn and it looks like this is going to be a powerful tool.
I just wanted to add to the above that I consider the ability to vertically center text in a cell also to be an essential feature for tables.

JLuc

2015-06-17 07:51

developer   ~0035414

Updated the issue text with text styles change on a row or column :

"Once a set of cells is selected it is possible through the PP to change the text style or paragraph property of the selection's text
BUT
only the first (top left) cell is affected (the other selected cells dont change at all)
"

JLuc

2015-06-17 08:17

developer   ~0035416

I agree that "vertical centering" text is felt as required.

AMOF it should be default.

Laser

2016-04-23 17:06

reporter   ~0040406

Also the table borders cannot be set for rows, columns or the whole table.

For a hidden table you have to set border width for the whole table and for each single cell to Zero - and then you have to change the type of the line. Otherwise the changing of the line width has no effect (update document also doesn't help).

bpbp007

2017-07-23 08:16

reporter   ~0044198

Dear all,

I would strongly argue to step up Severity and fix the need for individual cell properties.

I am new, and not a active developer, but let me iterate a bit on this:
Having to set cell properties individually is killing Scribus usage for any table work document.
My personal story is that I have a workbook with 50 pages (out of many others) where tables are (my) styling solution for questions and testing options. See picture bellow - there are chunks of paragraph text aligned with testing options and additional information.
Not possible to do it differently in Scribus.
I need 1 simple thing - remove all lines to have a sort of styling sceleton of textboxes.

Time-wise it means 50 pages x 2 tables per page x 8 x 4 cells per page x 3 clicks (select cell, select line, set color to None) = 9600 clicks x 1,5 secs to do 3 clicks = 4 hours of clicking.
And this was just for 1 style change. 1 operation in style.

Typically there would be more then 1 tweak of cell style necessary. E.g. for picture I need to have top lines hairline style. This multiplies the time.
In addition, whenever I change table (add a row, column) it means additional work as default styling is applied.

I would qualify it as "tables are not working at all".

Could you reconsider? Not for me. But for Scribus.
I love it otherwise, have used it so far in no-tables environment, but I see this as feature to be working at least basically.

01.jpg (57,313 bytes)
01.jpg (57,313 bytes)

ale

2017-07-24 08:20

manager   ~0044205

yes, this is what i consider too: scribus does not yet have a table tool.

other people seem to be happy with the current state.

contributions are welcome, but -- as far as i know -- there might be work going on behind the scenes...

enzogian

2018-05-15 17:01

reporter   ~0045252

interesting.
I have found scribus is quite messy at applying styles to the tables and cells etc.. I guess this suggestion might help to the whole issue of styles applied to tables ?

Issue History

Date Modified Username Field Change
2012-06-22 13:43 JLuc New Issue
2012-07-04 09:59 ale Relationship added parent of 0010829
2012-07-04 09:59 ale Relationship added parent of 0010828
2012-07-04 10:02 ale Relationship added parent of 0010830
2012-07-04 12:13 ale Relationship added parent of 0010831
2012-12-29 23:39 JLuc Note Added: 0029522
2013-12-20 08:49 a_winkler Note Added: 0030934
2013-12-20 08:50 a_winkler Note Edited: 0030934 View Revisions
2014-01-10 17:38 JLuc Tag Attached: table
2014-10-08 23:03 Kunda Tag Detached: table
2015-06-17 07:50 JLuc Patch => No
2015-06-17 07:50 JLuc Description Updated View Revisions
2015-06-17 07:51 JLuc Note Added: 0035414
2015-06-17 07:52 JLuc Description Updated View Revisions
2015-06-17 08:16 JLuc Description Updated View Revisions
2015-06-17 08:17 JLuc Note Added: 0035416
2015-06-17 08:20 JLuc Description Updated View Revisions
2015-06-17 08:21 JLuc Description Updated View Revisions
2015-06-17 08:22 JLuc Relationship added related to 0011750
2015-06-17 08:22 JLuc Relationship added related to 0011548
2015-06-17 08:22 JLuc Relationship added related to 0011549
2015-06-17 08:23 JLuc Relationship added related to 0011749
2015-06-17 08:23 JLuc Relationship added related to 0011748
2015-06-17 08:23 JLuc Relationship added related to 0011757
2015-06-17 08:23 JLuc Relationship added related to 0011941
2015-06-17 08:24 JLuc Relationship added related to 0013142
2015-06-17 08:25 JLuc Description Updated View Revisions
2015-06-17 08:25 JLuc Description Updated View Revisions
2015-06-17 08:25 JLuc Description Updated View Revisions
2015-06-17 08:27 JLuc Relationship added related to 0013143
2016-04-23 17:06 Laser Note Added: 0040406
2016-05-12 13:39 Kunda Relationship added related to 0008090
2016-05-29 09:38 Kunda Relationship added has duplicate 0014101
2017-07-23 08:16 bpbp007 File Added: 01.jpg
2017-07-23 08:16 bpbp007 Note Added: 0044198
2017-07-24 08:20 ale Note Added: 0044205
2018-05-15 17:01 enzogian Note Added: 0045252